Bug 99477 - Dell 4600 limits memory rebooting after 2.6.0-test1.1.26 kernel use
Dell 4600 limits memory rebooting after 2.6.0-test1.1.26 kernel use
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
http://people.redhat.com/arjanv/2.5/R...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-20 22:16 EDT by Need Real Name
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-20 22:16:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
(New) Dell Inspirion 4600 with 512 MB memory. Standard developer install of
RH9.0 with updates. Installed new tools + kernel-2.6.0-test1.1.24. Booted and
ran OK. When rebooting, whether to that kernel or to the other tested
(2.4.20-18), BIOS warns that amount of available memory has change. This is the
result of a switch to "OS install mode" which limite memory to 256 MB. Unsetting
this mode and reboot results in detection of all memory. This does not happen
with 2.4.20-18 and happens with both 2.6.0-test1.1.24 and 2.6.0-test1.1.26.

I assume this is really a kernel vs hardware issue and not specific to the RH
package, but couldn't figure out how to report it to kernel.org.

PS: Thanks for rpms! Failed to compile/install source, but can still test hw
compatibility.


Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test1.1.26

How reproducible:
Always

Steps to Reproduce:
1. Boot 2.6.0 kernel.
2. Reboot (either 2.6.0 again, or 2.4.20-18 - same result)
3. => system now limited to 256 MB in "OS install mode"
    

Actual Results:  (3) above.

Work-around:
<F2> for BIOS setup.
OS install mode from on -> off.
exit & save
(bios complaints memory size has changed)
F1 to ignore
... normal boot

Expected Results:  Normal boot with 512 MB, as seen with 2.4.20-18.


Additional info:

Some info collected under Linux 2.4.20-18.9 #1 Thu May 29 07:08:16 EDT 2003 i686
i686 i386 GNU/Linux:

# cat /proc/meminfo
        total:    used:    free:  shared: buffers:  cached:
Mem:  525623296 253825024 271798272        0 18493440 124477440
Swap: 1077469184        0 1077469184
MemTotal:       513304 kB
MemFree:        265428 kB
MemShared:           0 kB
Buffers:         18060 kB
Cached:         121560 kB
SwapCached:          0 kB
Active:         205000 kB
ActiveAnon:      82604 kB
ActiveCache:    122396 kB
Inact_dirty:       744 kB
Inact_laundry:       0 kB
Inact_clean:     16480 kB
Inact_target:    44444 kB
HighTotal:           0 kB
HighFree:            0 kB
LowTotal:       513304 kB
LowFree:        265428 kB
SwapTotal:     1052216 kB
SwapFree:      1052216 kB

# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 2.40GHz
stepping        : 7
cpu MHz         : 2394.057
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 4771.02

From Dell:
System chip set: Intel 865PE
Comment 1 Bryan O'Sullivan 2004-01-21 12:51:10 EST
This is an upstream bug, not Red Hat specific.  I don't use Arjan's
kernels, and it happens on the Dimension 4600 boxes at my workplace.

See http://bugzilla.kernel.org/show_bug.cgi?id=1927
Comment 2 Need Real Name 2004-01-21 13:09:30 EST
Thanks!

http://support.ap.dell.com/ap/en/filelib/download/index.asp?
fileid=R68080&sid=&os=Windows_NT&searchtype=age

Allows download of BIOS upgrades for the Dimension 4600. For me, the 
problem was corrected (circumvented?) by upgrading the BIOS.

--Fred
Comment 3 Bugzilla owner 2004-09-30 11:41:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.